Package org.drinkless.tdlib

# Class TdApi.GetMessageAddedReactions

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.AddedReactions>
org.drinkless.tdlib.TdApi.GetMessageAddedReactions

Enclosing class:
  `TdApi`

public static class TdApi.GetMessageAddedReactions extends TdApi.Function<TdApi.AddedReactions>
Returns reactions added for a message, along with their sender.

Returns `AddedReactions`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `long`
  `chatId`
  Identifier of the chat to which the message belongs.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `limit`
  The maximum number of reactions to be returned; must be positive and can't be greater than 100.
  `long`
  `messageId`
  Identifier of the message.
  `String`
  `offset`
  Offset of the first entry to return as received from the previous request; use empty string to get the first chunk of results.
  `TdApi.ReactionType`
  `reactionType`
  Type of the reactions to return; pass null to return all added reactions; reactionTypePaid isn't supported.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GetMessageAddedReactions()`
  Default constructor for a function, which returns reactions added for a message, along with their sender.
  `GetMessageAddedReactions(long chatId, long messageId, TdApi.ReactionType reactionType, String offset, int limit)`
  Creates a function, which returns reactions added for a message, along with their sender.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### chatId

    public long chatId
    Identifier of the chat to which the message belongs.

  - ### messageId

    public long messageId
    Identifier of the message. Use message.interactionInfo.reactions.canGetAddedReactions to check whether added reactions can be received for the message.

  - ### reactionType

    public TdApi.ReactionType reactionType
    Type of the reactions to return; pass null to return all added reactions; reactionTypePaid isn't supported.

  - ### offset

    public String offset
    Offset of the first entry to return as received from the previous request; use empty string to get the first chunk of results.

  - ### limit

    public int limit
    The maximum number of reactions to be returned; must be positive and can't be greater than 100.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### GetMessageAddedReactions

    public GetMessageAddedReactions()
    Default constructor for a function, which returns reactions added for a message, along with their sender.

    Returns `AddedReactions`

  - ### GetMessageAddedReactions

    public GetMessageAddedReactions(long chatId, long messageId, TdApi.ReactionType reactionType, String offset, int limit)
    Creates a function, which returns reactions added for a message, along with their sender.

    Returns `AddedReactions`

    Parameters:
      `chatId` - Identifier of the chat to which the message belongs.
      `messageId` - Identifier of the message. Use message.interactionInfo.reactions.canGetAddedReactions to check whether added reactions can be received for the message.
      `reactionType` - Type of the reactions to return; pass null to return all added reactions; reactionTypePaid isn't supported.
      `offset` - Offset of the first entry to return as received from the previous request; use empty string to get the first chunk of results.
      `limit` - The maximum number of reactions to be returned; must be positive and can't be greater than 100.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.AddedReactions>`
    Returns:
      this.CONSTRUCTOR